Security News

Adobe Mitigates Security Flaws with Flash Player 17.0.0.134

Posted on March 13th, 2015 by

adobe-patched-headerAdobe Systems has released Adobe Flash Player 17.0.0.134 for Mac, Windows and Linux. These updates include security fixes for a total of 11 vulnerabilities discovered in Adobe software. “These vulnerabilities could potentially allow an attacker to take control of the affected system,” notes Adobe’s security bulletin.

Affected software versions include: Adobe Flash Player 16.0.0.305 and earlier versions, Adobe Flash Player 13.0.0.269 and earlier 13.x versions, and Adobe Flash Player 11.2.202.442 and earlier 11.x versions.

The vulnerabilities patched in these updates are described as follows:

Users of Adobe Flash Player desktop runtime for Macintosh and Windows should update to Adobe Flash Player 17.0.0.134 (14.9 MB) as soon as possible. Users of the Adobe Flash Player Extended Support Release should update to Adobe Flash Player 13.0.0.277. Users of Adobe Flash Player for Linux should update to Adobe Flash Player 11.2.202.451. Adobe Flash Player installed with Google Chrome, as well as Internet Explorer on Windows 8.x, will automatically be updated to Flash Player version 17.0.0.134.

Sign up For Our Newsletter

Get the latest Mac security news direct to your inbox.

{"url":"\/marketo\/json\/add-to-newsletter","data":"list_name=Blog Roadblock"}